<!-- Loading bar -->
<fuse-loading-bar></fuse-loading-bar>

<!-- Navigation -->
<ng-container *ngIf="isScreenSmall">
    <fuse-vertical-navigation class="bg-white print:hidden" [mode]="'over'" [name]="'mainNavigation'"
        [navigation]="navigation.default" [opened]="false">
        <!-- Navigation header hook -->
        <ng-container fuseVerticalNavigationContentHeader>
            <!-- Logo -->
            <div class="flex items-center h-40 pt-1 px-10">
                <img class="mt-8 mb-8" src="assets/images/logo/bursa-malaysia-logo.svg" alt="Logo image">
            </div>
        </ng-container>
    </fuse-vertical-navigation>
</ng-container>

<!-- Wrapper -->
<div class="flex flex-col bg-white flex-auto w-full min-w-0">

    <!-- Header -->
    <div class="container relative flex flex-0 items-center w-full h-24 sm:h-20 z-49 print:hidden">
        <ng-container *ngIf="!isScreenSmall">
            <!-- Logo -->
            <div class="flex items-center lg:mr-8">
                <div class="lg:flex">
                    <img class="dark:hidden dark:flex w-36" src="assets/images/logo/bursa-malaysia-logo.svg"
                        (click)="dashboard()">
                </div>
                <img class="flex lg:hidden w-12" src="assets/images/logo/bursa-malaysia-logo.svg">
            </div>
            <!-- Horizontal navigation -->
            <fuse-horizontal-navigation class="flex items-center pl-2 absolute right-10 space-x-0.5 sm:space-x-2"
                [name]="'mainNavigation'" [navigation]="navigation.horizontal">
            </fuse-horizontal-navigation>
            <languages class="absolute right-0"></languages>

            <!-- <notifications class="absolute right-0"></notifications> -->
        </ng-container>


        <!-- Navigation toggle button -->
        <ng-container *ngIf="isScreenSmall">
            <button mat-icon-button (click)="toggleNavigation('mainNavigation')">
                <mat-icon [svgIcon]="'heroicons_outline:menu'"></mat-icon>
            </button>


            <!-- <h2>GeeksforGeeks</h2>
            <h5>PrimeNG MegaMenu Component</h5>
            <p-megaMenu [model]="gfg"></p-megaMenu> -->
        </ng-container>

        <!-- Components -->
        <div class="flex items-center pl-2 ml-auto space-x-0.5 sm:space-x-2">
            <languages></languages>
            <!-- <fuse-fullscreen class="hidden md:block"></fuse-fullscreen> -->
            <!-- <search [appearance]="'bar'"></search> -->
            <!-- <shortcuts></shortcuts> -->
            <!--<messages></messages> -->
            <!-- <notifications></notifications> -->
            <!-- <user></user> -->
        </div>
    </div>

    <!-- Content -->
    <div class="flex flex-col flex-auto w-full">
        <!-- *ngIf="true" hack is required here for router-outlet to work correctly.
             Otherwise, layout changes won't be registered and the view won't be updated! -->
        <router-outlet *ngIf="true"></router-outlet>
    </div>

    <!-- Footer -->
    <!-- <div class="fixed flex flex-0 items-center align-bottom w-full h-100 sm:h-10 px-4 md:px-6 z-49 bg-transparent dark:bg-transparent print:hidden"
        style="position: fixed; bottom: 0;">
        <span class="font-medium text-secondary">&copy; {{currentYear}} Bursa Gold Dinar. All Right Reserved</span>
    </div> -->

</div>

<!-- Quick chat -->